Skip to main content
POST
/
api
/
models
/
{model_id}
/
infer
Sync Inference
curl --request POST \
  --url https://api.example.com/api/models/{model_id}/infer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form model_version_id=3c90c3cc-0d44-4b50-8888-8dd25736052a \
  --form output_type=csv
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

model_id
string<uuid>
required

Body

multipart/form-data
file
file
required
model_version_id
string<uuid> | null
output_type
enum<string>
default:csv

Supported inference output formats.

Available options:
json,
csv,
parquet

Response

Successful Response